Bug 141752 - RHEL4 docs: add edd=off and edd=skipmbr options
RHEL4 docs: add edd=off and edd=skipmbr options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-release (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
David Lawrence
:
Depends On:
Blocks: 141861
  Show dependency treegraph
 
Reported: 2004-12-03 10:39 EST by Matt Domsch
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 12:45:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2004-12-03 10:39:13 EST
Description of problem:
Now that EDD has been re-enabled, there are two new command line
options available which may be necessary for customers to use, in the
event their system BIOS misbehaves.

edd=skipmbr
disables all BIOS calls which read data from the disks, but leaves
enabled calls which probe the disk controller for information.  This
is useful when a system BIOS reports more disks attached than are
actually present, which usually results in a 15-30 second delay during
kernel startup.

edd=off
disables all BIOS calls related to EDD.


As Alan Cox suggested, these need to be documented somehow in the
RHEL4 docs, perhaps in the RELEASE-NOTES file or the installation
docs.  Please wordsmith as you feel necessary.
Comment 2 John Ha 2004-12-08 16:03:06 EST
The following is a draft of what will appear in the release notes. Please let me
know if there are changes needed. I am assuming that this feature appears only
on the x86/AMD64/EM64T platform kernels.

------

The kernel shipped with Red Hat Enterprise Linux 4 now includes support for
Enhanced Disk Device (EDD) polling, which queries for bootable disk device
information directly from the disk controller BIOS and stores it as an entry in
the /proc filesystem.

Two significant kernel command-line options related to EDD have also been added:

- edd=skipmbr -- disables BIOS calls that read disk data while stil enabling
calls that request information from the disk controller. This option can be used
when the system BIOS reports more disks than are actually present in the system,
causing a 15-30 second delay in loading the kernel.

- edd=off -- disables all EDD-releated calls to disk controller BIOS.
Comment 3 Matt Domsch 2004-12-08 16:17:25 EST
Yes, only x86_64 and x86 kernels.
s/proc/sys, typos fixed below, otherwise looks good to me.


The kernel shipped with Red Hat Enterprise Linux 4 now includes
support for Enhanced Disk Device (EDD) polling, which queries for
bootable disk device information directly from the disk controller
BIOS and stores it as an entry in the /sys filesystem.

Two significant kernel command-line options related to EDD have also
been added:

- edd=skipmbr -- disables BIOS calls that read disk data while still
enabling calls that request information from the disk controller. 
This option can be used when the system BIOS reports more disks than
are actually present in the system, causing a 15-30 second delay in
loading the kernel.

- edd=off -- disables all EDD-releated calls to disk controller BIOS.

Comment 4 John Ha 2004-12-09 12:45:51 EST
Great. Thank you for the correction. I've added this to the Release Notes and
am closing this bug.
Comment 5 Amit Bhutani 2005-01-14 16:05:48 EST
Confirmed, added to the RC1 Release Notes. Removing this from 
RHEL4ZILLA.



Note You need to log in before you can comment on or make changes to this bug.